Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.bean
Class BeanInvocationLayerFactory

    java.lang.Object
      net.jini.jeri.AbstractILFactory
          net.jini.jeri.BasicILFactory
              org.jini.rio.bean.BeanInvocationLayerFactory

All Implemented Interfaces:
  InvocationLayerFactory

    public class BeanInvocationLayerFactory

extends BasicILFactory

The BeanInvocationLayerFactory is a simple extension of the `BasicILFactory`, in that it allows interfaces that do not have remote semantics

Nested Class Summary

Nested classes/interfaces inherited from interface net.jini.jeri.InvocationLayerFactory
`InvocationLayerFactory.Instances`

Constructor Summary
`BeanInvocationLayerFactory()`
`BeanInvocationLayerFactory(MethodConstraints serverConstraints, Class permissionClass)`
`BeanInvocationLayerFactory(MethodConstraints serverConstraints, Class permissionClass, ClassLoader loader)`

Method Summary
`protected Class[]` | `getRemoteInterfaces(Remote impl)` Override parent's behavior to return all interfaces

Methods inherited from class net.jini.jeri.BasicILFactory
`createInvocationDispatcher, createInvocationHandler, equals, getExtraProxyInterfaces, getPermissionClass, getServerConstraints, hashCode, toString`

Methods inherited from class net.jini.jeri.AbstractILFactory
`createInstances, getClassLoader, getInvocationDispatcherMethods, getProxyInterfaces`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanInvocationLayerFactory

    public BeanInvocationLayerFactory()

### BeanInvocationLayerFactory

    public BeanInvocationLayerFactory(MethodConstraints serverConstraints,
                                      Class permissionClass)

### BeanInvocationLayerFactory

    public BeanInvocationLayerFactory(MethodConstraints serverConstraints,
                                      Class permissionClass,
                                      ClassLoader loader)

Method Detail

### getRemoteInterfaces

    protected Class[] getRemoteInterfaces(Remote impl)
                                   throws ExportException

  Override parent's behavior to return all interfaces

  Overrides:
    `getRemoteInterfaces` in class `AbstractILFactory`
  Parameters:
    `impl` - The remote object to use, must not be null
  Returns:
    Array of classes that can be used for remote invocations. In this case, all interfaces `Class.getInterfaces()` are returned
  Throws:
    `ExportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.